using System;
class Program
{
    static void Main(string[] args)
    {
        string t = Console.ReadLine();
        string s = Console.ReadLine();
        char[] a = t.ToCharArray();
        char[] b = s.ToCharArray();
        int[] c = new int[b.Length];
        for (int i = 0; i < b.Length; i++)
        {
            for (int j = 0; j < a.Length; j++)
            {
                if (b[i].Equals(a[j]))
                {
                    c[i]++;
                }
            }
        }
        int min = c[0];
        int mini = 0;
        for (int i = 0; i < c.Length; i++)
        {
            if (c[i] < min)
            {
                min = c[i];
                mini = i;
            }
        }
        int g=Array.IndexOf(a, b[mini]);
        for (int i = 0; i < c[mini]; i++)
        {
            a[g+i] = '*';
        }
        Console.WriteLine("{0}", min);
        Console.WriteLine(a);
    }
}